Bug 16151 - can't place holds from lists
Summary: can't place holds from lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14544
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-28 17:54 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16151: Restore the ability to place holds from lists at the OPAC (1.64 KB, patch)
2016-03-29 07:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16151: Restore the ability to place holds from lists at the OPAC (1.78 KB, patch)
2016-03-29 09:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16151: Restore the ability to place holds from lists at the OPAC (1.83 KB, patch)
2016-03-29 17:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-03-28 17:54:03 UTC
Looks like https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=14544 might have broken the ability to place holds from lists. 

*  selected the public list 
* placed a check next to the first and fourth items on the list at the top of the list, I selected 'Place Hold'
* Got the following error message:

Can't call method "field" on an undefined value at /home/load17/kohaclone/C4/Items.pm line 1491.
Comment 1 Jonathan Druart 2016-03-29 07:20:03 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-29 07:21:23 UTC
We want to see this fixes pushed to the next 3.22 release.
Comment 3 Marc Véron 2016-03-29 09:21:03 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2016-03-29 17:28:21 UTC
Created attachment 49646 [details] [review]
Bug 16151: Restore the ability to place holds from lists at the OPAC

This patch fixes a bug introduced by bug 14544.
Holds can not be placed from lists at the OPAC, the action results in a
crash:
Can't call method "field" on an undefined value at
/home/koha/src/C4/Items.pm line 1504.
 at /home/koha/src/opac/opac-reserve.pl line 601

Before 14544, the checkboxes were named 'ACT-$BIBNUM', something like
REM-4242. Now we can retrieve the biblionumber from the value.

Test plan:
Select a public list
check some titles and click on the 'Place hold' link
you should able to process the reservation

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 5 Brendan Gallagher 2016-03-29 22:36:59 UTC
Pushed to Master - Should be in the May 2016 Release. Thanks!
Comment 6 Julian Maurice 2016-04-01 13:01:26 UTC
Patch pushed to 3.22.x, will be in 3.22.6